org.apache.sysds.runtime.instructions.spark.functions

## Class ComputeBinaryBlockNnzFunction

- java.lang.Object
- - org.apache.sysds.runtime.instructions.spark.functions.ComputeBinaryBlockNnzFunction

All Implemented Interfaces:
  Serializable, org.apache.spark.api.java.function.Function<MatrixBlock,MatrixBlock>

    public class ComputeBinaryBlockNnzFunction
    extends Object
    implements org.apache.spark.api.java.function.Function<MatrixBlock,MatrixBlock>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ComputeBinaryBlockNnzFunction(org.apache.spark.util.LongAccumulator aNnz)`

### Method Summary

All Methods Instance Methods Concrete Methods
`MatrixBlock` `call(MatrixBlock arg0)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ComputeBinaryBlockNnzFunction

    public ComputeBinaryBlockNnzFunction(org.apache.spark.util.LongAccumulator aNnz)

### Method Detail

#### call

    public MatrixBlock call(MatrixBlock arg0)

Specified by:
  `call` in interface `org.apache.spark.api.java.function.Function<MatrixBlock,MatrixBlock>`